Package org.apache.tools.ant.taskdefs.optional.junit

# Class Enumerations

java.lang.Object
org.apache.tools.ant.taskdefs.optional.junit.Enumerations

    @Deprecated
    public final class Enumerations
    extends java.lang.Object

Deprecated.
A couple of methods related to enumerations that might be useful. This class should probably disappear once the required JDK is set to 1.2 instead of 1.1.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static <T> java.util.Enumeration<T>` | `fromArray​(T... array)` | Deprecated. use Collections.enumeration(Arrays.asList(array))
`static <T> java.util.Enumeration<T>` | `fromCompound​(java.util.Enumeration<? extends T>... enums)` | Deprecated. use Stream.concat(Collections.list(one).stream(), Collections.list(two).stream()) .collect(Collectors.collectingAndThen(Collectors.toList(), Collections::enumeration))

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### fromArray

@Deprecated @SafeVarargs public static <T> java.util.Enumeration<T> fromArray​(T... array)
Deprecated.
use Collections.enumeration(Arrays.asList(array))
creates an enumeration from an array of objects.

Type Parameters:
  `T` - object type
Parameters:
  `array` - the array of object to enumerate.
Returns:
  the enumeration over the array of objects.

### fromCompound

@Deprecated @SafeVarargs public static <T> java.util.Enumeration<T> fromCompound​(java.util.Enumeration<? extends T>... enums)
Deprecated.
use Stream.concat(Collections.list(one).stream(), Collections.list(two).stream()) .collect(Collectors.collectingAndThen(Collectors.toList(), Collections::enumeration))
creates an enumeration from an array of enumeration. The created enumeration will sequentially enumerate over all elements of each enumeration and skip `null` enumeration elements in the array.

Type Parameters:
  `T` - object type
Parameters:
  `enums` - the array of enumerations.
Returns:
  the enumeration over the array of enumerations.